%define fname	httplib2

Name:		python-httplib2
Summary:	Python HTTP library module
Version:	0.8
Release:	%mkrel 1
Source0:	http://httplib2.googlecode.com/files/%{fname}-%{version}.tar.xz
Patch0:		httplib2-use-system-certs.patch
Patch1:		httplib2-ssl-hostname.patch
URL:		http://code.google.com/p/httplib2
Group:		System/Libraries
License:	MIT
BuildArch:	noarch
BuildRequires:	python
BuildRequires:	python-setuptools
Requires:	rootcerts

%description
A comprehensive HTTP client library that supports many features left
out of other HTTP libraries.

%prep
%setup -q -n httplib2-%{version}
%patch0 -p0 -b .certfile
%patch1 -p1 -b .ssl-hostname


%build
python setup.py build

%install
rm -rf %{buildroot}

python setup.py install --root=%{buildroot} --compile --optimize=2


%files
%doc README
%{py_puresitedir}/%{fname}
%{py_puresitedir}/%{fname}-%{version}-py%{pyver}.egg-info


%changelog
* Tue Aug 13 2013 billybot <billybot> 0.8-1pclos2013
- update
